Bug 49482 - time does not take arguments
time does not take arguments
Product: Red Hat Linux
Classification: Retired
Component: bash (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Phil Knirsch
Aaron Brown
Depends On:
  Show dependency treegraph
Reported: 2001-07-19 20:17 EDT by Dmitri A. Sergatskov
Modified: 2015-03-04 20:09 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2002-07-23 08:17:05 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dmitri A. Sergatskov 2001-07-19 20:17:19 EDT
From Bugzilla Helper:
User-Agent: Mozilla/4.77 [en] (X11; U; Linux 2.4.3-12smp i686)

Description of problem:
time does not take any arguments e.g.:
[dima@cholla dima]$ time --version
bash: --version: command not found

real    0m0.002s
user    0m0.000s
sys     0m0.000s

How reproducible:

Steps to Reproduce:
1.install time-1.7-13.rpm
2. run 'time --version'
3. see error message

Actual Results:  On RH7.1
[dima@cholla dima]$ time --version
bash: --version: command not found

real    0m0.002s
user    0m0.000s
sys     0m0.000s
[dima@cholla dima]$ rpm -qf /usr/bin/time

Expected Results:  On RH6.2 system:
[root@sage /root]# time --version
GNU time 1.7
[root@sage /root]# rpm -qf /usr/bin/time 
[root@sage /root]# 

Additional info:

pretty much stock rh7.1 with all recent updates.
Comment 1 Florian La Roche 2001-07-21 03:22:57 EDT
you are starting the bash builtin version of time. I am not sure if the
absence of --version is a bug or not..

Florian La Roche
Comment 2 Koen Hillewaert 2001-07-27 10:22:31 EDT
the same is true for the tcsh version. time does not take any options at all.
Even (at least some of) the examples cited in the info pages do not execute.
Comment 3 Phil Knirsch 2002-07-23 08:16:59 EDT
Well, time is a reserved keyword in bash and additionally an internal command,
so if you want to use the binary /usr/bin/time you need to say so.

Read ya, Phil

Note You need to log in before you can comment on or make changes to this bug.